add_files(
	EXTERNAL_FILES

	catch/catch.hpp
	tinyexpr/tinyexpr.c
	tinyexpr/tinyexpr.h
	toml++/toml.hpp
	toml++/toml.h
)

set(LIB_INCLUDE_PATH
	${LIB_INCLUDE_PATH}
	${CMAKE_CURRENT_SOURCE_DIR}/catch
	${CMAKE_CURRENT_SOURCE_DIR}/entt/src
	${CMAKE_CURRENT_SOURCE_DIR}/tinyexpr
	${CMAKE_CURRENT_SOURCE_DIR}/toml++
	PARENT_SCOPE
)
